kdeui Library: KCharSelect Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KCharSelect Class Reference

Character selection widget. More...

`#include <kcharselect.h>`

Inheritance diagram for KCharSelect:

[legend]
Collaboration diagram for KCharSelect:

[legend]
List of all members.

## Signals
void | highlighted (const QChar &c)
void | highlighted ()
void | activated (const QChar &c)
void | activated ()
void | fontChanged (const QString &_font)
void | focusItemChanged ()
void | focusItemChanged (const QChar &c)
void | doubleClicked ()
## Public Member Functions
| KCharSelect (QWidget *parent, const char *name, const QString &font=QString::null, const QChar &chr= ' ', int tableNum=0)
virtual QSize | sizeHint () const
virtual void | setFont (const QString &font)
virtual void | setChar (const QChar &chr)
virtual void | setTableNum (int tableNum)
virtual QChar | chr () const
virtual QString | font () const
virtual int | tableNum () const
virtual void | enableFontCombo (bool e)
virtual void | enableTableSpinBox (bool e)
virtual bool | isFontComboEnabled () const
virtual bool | isTableSpinBoxEnabled () const
## Protected Slots
void | fontSelected (const QString &_font)
void | tableChanged (int _value)
void | charHighlighted (const QChar &c)
void | charHighlighted ()
void | charActivated (const QChar &c)
void | charActivated ()
void | charFocusItemChanged ()
void | charFocusItemChanged (const QChar &c)
void | charTableUp ()
void | charTableDown ()
void | slotDoubleClicked ()
void | slotUnicodeEntered ()
void | slotUpdateUnicode (const QChar &c)
## Protected Member Functions
virtual void | fillFontCombo ()
virtual void | virtual_hook (int id, void *data)
## Static Protected Member Functions
static void | cleanupFontDatabase ()
## Protected Attributes
QComboBox * | fontCombo
QSpinBox * | tableSpinBox
KCharSelectTable * | charTable
QStringList | fontList
## Static Protected Attributes
static QFontDatabase * | fontDataBase = 0
## Properties
QString | fontFamily
int | tableNum
bool | fontComboEnabled
bool | tableSpinBoxEnabled

## Detailed Description

Character selection widget.

This widget allows the user to select a character of a specified font in a table

Character Selection Widget

You can specify the font whose characters should be displayed via setFont() or in the constructor. Using enableFontCombo() you can allow the user to choose the font from a combob-box. As only 256 characters are displayed at once in the table, using the spinbox on the top the user can choose starting from which character the table displays them. This spinbox also can be enabled or disabled using enableTableSpinBox().

KCharSelect supports keyboard and mouse navigation. Click+Move always selects the character below the mouse cursor. Using the arrow keys moves the focus mark around and pressing RETURN or SPACE selects the cell which contains the focus mark.

To get the current selected character, use the chr() method. You can set the character which should be displayed with setChar() and the table number which should be displayed with setTableNum().

Author:
  Reginald Stadlbauer <reggie@kde.org>

Definition at line 140 of file kcharselect.h.

## Constructor & Destructor Documentation

KCharSelect::KCharSelect | ( | QWidget * | parent,
|  | const char * | name,
|  | const QString & | font = `QString::null`,
|  | const QChar & | chr = `' '`,
|  | int | tableNum = `0`
| ) |

| Constructor. `font` specifies which font should be displayed, `chr` which character should be selected and `tableNum` specifies the number of the table which should be displayed. Definition at line 366 of file kcharselect.cpp. References QString::isEmpty(), QLabel::setAlignment(), QLabel::setBuddy(), setFont(), QHBox::setSpacing(), and setTableNum().

## Member Function Documentation

QSize KCharSelect::sizeHint | ( |  | ) | const`[virtual]`

| Reimplemented. Definition at line 445 of file kcharselect.cpp.

void KCharSelect::setFont | ( | const QString & | font | ) | `[virtual]`

| Sets the font which is displayed to `font`. Definition at line 451 of file kcharselect.cpp. References endl(), kdWarning(), QComboBox::setCurrentItem(), and KCharSelectTable::setFont(). Referenced by KCharSelect().

void KCharSelect::setChar | ( | const QChar & | chr | ) | `[virtual]`

| Sets the currently selected character to `chr`. Definition at line 466 of file kcharselect.cpp. References KCharSelectTable::setChar().

void KCharSelect::setTableNum | ( | int | tableNum | ) | `[virtual]`

| Sets the currently displayed table to `tableNum`. Definition at line 473 of file kcharselect.cpp. References KCharSelectTable::setTableNum(), and QSpinBox::setValue(). Referenced by KCharSelect().

virtual QChar KCharSelect::chr | ( |  | ) | const`[inline, virtual]`

| Returns the currently selected character. Definition at line 180 of file kcharselect.h.

virtual QString KCharSelect::font | ( |  | ) | const`[inline, virtual]`

| Returns the currently displayed font. Definition at line 185 of file kcharselect.h.

virtual int KCharSelect::tableNum | ( |  | ) | const`[inline, virtual]`

| Returns the currently displayed table. Definition at line 190 of file kcharselect.h.

virtual void KCharSelect::enableFontCombo | ( | bool | e | ) | `[inline, virtual]`

| If `e` is set to true, the combobox which allows the user to select the font which should be displayed is enabled, else disabled. Definition at line 197 of file kcharselect.h.

virtual void KCharSelect::enableTableSpinBox | ( | bool | e | ) | `[inline, virtual]`

| If `e` is set to true, the spinbox which allows the user to specify which characters of the font should be displayed, is enabled, else disabled. Definition at line 205 of file kcharselect.h.

virtual bool KCharSelect::isFontComboEnabled | ( |  | ) | const`[inline, virtual]`

| Returns wether the font combobox on the top is enabled or disabled. See also: enableFontCombo() Definition at line 213 of file kcharselect.h.

virtual bool KCharSelect::isTableSpinBoxEnabled | ( |  | ) | const`[inline, virtual]`

| Returns wether the table spinbox on the top is enabled or disabled. See also: enableTableSpinBox() Definition at line 221 of file kcharselect.h.

The documentation for this class was generated from the following files:

- kcharselect.h
- kcharselect.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:42 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003